Bug 1422188 - [BUG] Editing Smart Class parameters using Internet Explorer fails with Internal Server Error
Summary: [BUG] Editing Smart Class parameters using Internet Explorer fails with Inter...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Smart Variables
Version: 6.2.2
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Adam Ruzicka
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1335839
TreeView+ depends on / blocked
 
Reported: 2017-02-14 16:49 UTC by vivpatil
Modified: 2019-04-01 20:27 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:54:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18588 None None None 2017-02-21 13:06 UTC
Red Hat Bugzilla 1335604 None CLOSED Editing provisioning templates on Internet Explorer fails with Internal Server Error 2019-04-23 19:01 UTC

Internal Trackers: 1335604

Description vivpatil 2017-02-14 16:49:31 UTC
Description of problem:
[BUG] Editing Smart Class parameters using Internet Explorer fails with Internal Server Error

Version-Release number of selected component (if applicable):
Satellite 6.2.7

How reproducible:


Steps to Reproduce:
1. Using Internet Explorer navigate to Satellite WebUI ---> Configure ---> Smart Class Parameters ---> Edit Parameter
2. We get an Internal Server Error during Submit

Actual results:
Internal Server Error

==> /var/log/httpd/foreman-ssl_error_ssl.log <==
[Thu Feb 09 15:45:58.976065 2017] [ssl:warn] [pid 15664] [client 10.XXX.XXX.XXX:56226] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://XXX/puppetclass_lookup_keys?utf8=%E2%9C%93&search=sshd
[Thu Feb 09 15:45:59.001294 2017] [core:error] [pid 15664] [client 10.XXX.XXX.XXX:56226] End of script output before headers: puppetclass_lookup_keys, referer: https://XXX/puppetclass_lookup_keys?utf8=%E2%9C%93&search=sshd

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.XXX.XXX.XXX - - [09/Feb/2017:15:45:58 +0000] "POST /puppetclass_lookup_keys/446-ciphers HTTP/1.1" 500 531 "https://XXX/puppetclass_lookup_keys?utf8=%E2%9C%93&search=sshd" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"


Expected results:
The changes should be saved.

Workaround: 
1. Use a different browser (FF or Chrome)

2. Open the parameter for edit in a separate tab, not in the list itself. This can be done either by clicking the middle mouse button on the link, or by right clicking on the link and selecting "Open in new tab"

Comment 1 Brad Buckingham 2017-02-14 18:30:26 UTC
What version of IE is being used?

Comment 2 Tomer Brisker 2017-02-15 10:22:50 UTC
User agent string indicates this is hit using IE11. 
This appears to be similar to the issue in BZ1335604 which is caused by a known IE bug.

Comment 6 Evgeni Golov 2017-02-21 13:05:59 UTC
Created redmine issue http://projects.theforeman.org/issues/18588 from this bug

Comment 7 pm-sat@redhat.com 2017-03-08 11:05:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18588 has been resolved.

Comment 9 Adam Ruzicka 2017-08-23 09:05:53 UTC
Verified.
Version Tested: Satellite-6.3 Snap 12

Package versions:
satellite-6.3.0-16.0.beta.el7sat.noarch
foreman-1.15.3-1.el7sat.noarch

Pulled IE11 on Windows 7 VM image from modern.ie, imported some puppet classes, edited a smart class variable, everything finished successfully.

>> Edit smart class parameter
==> /var/log/httpd/foreman-ssl_access_ssl.log <==
192.168.122.252 - - [23/Aug/2017:09:03:58 +0000] "POST /puppetclass_lookup_keys/2-template HTTP/1.1" 302 112 "https://192.168.122.74/puppetclass_lookup_keys" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"
192.168.122.252 - - [23/Aug/2017:09:03:58 +0000] "GET /puppetclass_lookup_keys HTTP/1.1" 200 6036 "https://192.168.122.74/puppetclass_lookup_keys" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"

==> /var/log/foreman/production.log <==
2017-08-23 09:03:58 7ab3b780 [app] [I] Started PATCH "/puppetclass_lookup_keys/2-template" for 192.168.122.252 at 2017-08-23 09:03:58 +0000
2017-08-23 09:03:58 7ab3b780 [app] [I] Processing by PuppetclassLookupKeysController#update as */*
2017-08-23 09:03:58 7ab3b780 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"S5LbT4PJVe20h9qV6UrCULF7/iyDdYwIhEVwVAYr4fqm6UoU5yIMp7QV+qr41I4watLOTlqrrfcYnXwS0YhLsw==", "puppetclass_lookup_key"=>{"key"=>"template", "description"=>"The template for motd", "override"=>"1", "key_type"=>"string", "default_value"=>"[FILTERED]", "omit"=>"0", "hidden_value"=>"[FILTERED]", "required"=>"0", "validator_type"=>"", "path"=>"fqdn\r\nhostgroup\r\nos\r\ndomain"}, "_ie_support"=>"", "id"=>"2-template"}
2017-08-23 09:03:58 7ab3b780 [app] [I] Current user: admin (administrator)
2017-08-23 09:03:58 7ab3b780 [app] [I] Redirected to https://192.168.122.74/puppetclass_lookup_keys
2017-08-23 09:03:58 7ab3b780 [app] [I] Completed 302 Found in 34ms (ActiveRecord: 9.4ms)
2017-08-23 09:03:58 4c6f88fc [app] [I] Started GET "/puppetclass_lookup_keys" for 192.168.122.252 at 2017-08-23 09:03:58 +0000
2017-08-23 09:03:58 4c6f88fc [app] [I] Processing by PuppetclassLookupKeysController#index as */*
2017-08-23 09:03:58 4c6f88fc [app] [I] Current user: admin (administrator)
2017-08-23 09:03:58 4c6f88fc [app] [I]   Rendered puppetclass_lookup_keys/index.html.erb within layouts/application (23.1ms)
2017-08-23 09:03:58 4c6f88fc [app] [I]   Rendered common/_searchbar.html.erb (2.4ms)
2017-08-23 09:03:58 4c6f88fc [app] [I]   Rendered layouts/_application_content.html.erb (2.8ms)
2017-08-23 09:03:58 4c6f88fc [app] [I]   Rendered home/_submenu.html.erb (1.3ms)
2017-08-23 09:03:58 4c6f88fc [app] [I]   Rendered home/_user_dropdown.html.erb (1.2ms)
2017-08-23 09:03:58 4c6f88fc [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2017-08-23 09:03:58 4c6f88fc [app] [I]   Rendered home/_topbar.html.erb (3.7ms)
2017-08-23 09:03:58 4c6f88fc [app] [I]   Rendered layouts/base.html.erb (5.2ms)
2017-08-23 09:03:58 4c6f88fc [app] [I] Completed 200 OK in 60ms (Views: 31.9ms | ActiveRecord: 7.2ms)

Comment 10 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.